### Virtual Method

# Foundry Debugger list_log_messages

since: 1.1

#### Declaration [src]

    GListModel*
    list_log_messages (
      FoundryDebugger* self
    )

#### Description [src]

Lists available log messages from the debugger instance.

Available since: 1.1

#### Return value

Type: A list model of `GObject`

A `GListModel` of `FoundryDebuggerLogMessage`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.